IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'[dbo].[CP_Cbtes_Items_Cpra_Agr]') 
                   and OBJECTPROPERTY(id, N'IsProcedure') = 1 )
BEGIN
    DROP PROCEDURE [dbo].[CP_Cbtes_Items_Cpra_Agr] 
END
GO


CREATE PROCEDURE [dbo].[CP_Cbtes_Items_Cpra_Agr]    @Id_Producto varchar(40),
                                            @trans int,
											@cantidad_item decimal(14,4)=NULL,
											@importe_item decimal(12,2)=NULL,
									        @fecha datetime,
											@observacion varchar(200) = '',
											@descripcion_producto varchar(100)
										
AS

declare @Id_trans int
declare @item int
declare @nuevoItem int 
declare @producto varchar(20)
declare @cantidad decimal (14,4)
declare @test varchar(14)
declare @fecha_vto datetime
declare @fecha_caducidad datetime
declare @serie varchar(100)
declare @cantiAJU decimal (14,4)
declare @cantiVMAT decimal (14,4)
declare @estado int

BEGIN TRY
    	SET @Id_trans = @Trans

		set @nuevoItem = (select ISNULL(max(Item),0)+1 from cbtes_items where Id_Trans = @trans)
		SET @serie = ''
		IF ((RTRIM(LTRIM(@descripcion_producto)))<> '')
		Begin
			INSERT INTO Cbtes_Items (Id_Trans,item,Id_Estado_Cbte,Cantidad      ,Id_Producto  ,Fecha_QA,Cantidad_Saldo,Fecha_Venc,Fecha_Caducidad,Serie,descripcion_producto,Observacion,Fecha_Proceso,Flag_QA,Precio_Grav,Imp_Gravado,Imp_Final) 
			VALUES                  (@trans,@nuevoItem,1         ,@cantidad_item, @Id_Producto,@fecha  ,@cantidad_item,@Fecha,@Fecha,@Serie,@descripcion_producto,@Observacion,@Fecha,'A',@importe_item,@importe_item,@importe_item) 
		End

	
	RETURN 0
END TRY

BEGIN CATCH
	RETURN 1
END CATCH




